| Flutter Linux Embedder |

Functions | Variables
fl_pixel_buffer_texture_test.cc File Reference
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_pixel_buffer_texture.h"`
`#include "flutter/shell/platform/linux/fl_pixel_buffer_texture_private.h"`
`#include "flutter/shell/platform/linux/fl_texture_private.h"`
`#include "flutter/shell/platform/linux/fl_texture_registrar_private.h"`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_texture_registrar.h"`
`#include "flutter/shell/platform/linux/testing/fl_test.h"`
`#include "gtest/gtest.h"`
`#include <epoxy/gl.h>`

Go to the source code of this file.

## Functions
| G_DECLARE_FINAL_TYPE (FlTestPixelBufferTexture, fl_test_pixel_buffer_texture, FL, TEST_PIXEL_BUFFER_TEXTURE, FlPixelBufferTexture) struct _FlTestPixelBufferTexture
| A simple texture with fixed contents. More...
| G_DEFINE_TYPE (FlTestPixelBufferTexture, fl_test_pixel_buffer_texture, fl_pixel_buffer_texture_get_type()) static gboolean fl_test_pixel_buffer_texture_copy_pixels(FlPixelBufferTexture *texture
static void | fl_test_pixel_buffer_texture_class_init (FlTestPixelBufferTextureClass *klass)
static void | fl_test_pixel_buffer_texture_init (FlTestPixelBufferTexture *self)
static FlTestPixelBufferTexture * | fl_test_pixel_buffer_texture_new ()
| TEST (FlPixelBufferTextureTest, TextureID)
| TEST (FlPixelBufferTextureTest, PopulateTexture)

## Variables
static constexpr uint32_t | kBufferWidth = 4u
static constexpr uint32_t | kBufferHeight = 4u
static constexpr uint32_t | kRealBufferWidth = 2u
static constexpr uint32_t | kRealBufferHeight = 2u
const uint8_t ** | out_buffer = buffer
const uint8_t uint32_t * | width = kRealBufferWidth
const uint8_t uint32_t uint32_t * | height = kRealBufferHeight
const uint8_t uint32_t uint32_t GError ** | error
static const uint8_t | buffer []
return | TRUE

## Function Documentation

## ◆ fl_test_pixel_buffer_texture_class_init()

static void fl_test_pixel_buffer_texture_class_init | ( | FlTestPixelBufferTextureClass * | klass | ) |
| static

Definition at line 56 of file fl_pixel_buffer_texture_test.cc.

57 {
58 FL_PIXEL_BUFFER_TEXTURE_CLASS(klass)->copy_pixels =
59 fl_test_pixel_buffer_texture_copy_pixels;
60 }

## ◆ fl_test_pixel_buffer_texture_init()

static void fl_test_pixel_buffer_texture_init | ( | FlTestPixelBufferTexture * | self | ) |
| static

Definition at line 62 of file fl_pixel_buffer_texture_test.cc.

62 {}

## ◆ fl_test_pixel_buffer_texture_new()

static FlTestPixelBufferTexture* fl_test_pixel_buffer_texture_new | ( |  | ) |
| static

Definition at line 64 of file fl_pixel_buffer_texture_test.cc.

64 {
65 return FL_TEST_PIXEL_BUFFER_TEXTURE(
66 g_object_new(fl_test_pixel_buffer_texture_get_type(), nullptr));
67 }

Referenced by TEST().

## ◆ G_DECLARE_FINAL_TYPE()

G_DECLARE_FINAL_TYPE | ( | FlTestPixelBufferTexture | ,
|  | fl_test_pixel_buffer_texture | ,
|  | FL | ,
|  | TEST_PIXEL_BUFFER_TEXTURE | ,
|  | FlPixelBufferTexture |
| ) |  |

A simple texture with fixed contents.

Definition at line 20 of file fl_pixel_buffer_texture_test.cc.

27 {
28 FlPixelBufferTexture parent_instance;
29 };

## ◆ G_DEFINE_TYPE()

G_DEFINE_TYPE | ( | FlTestPixelBufferTexture | ,
|  | fl_test_pixel_buffer_texture | ,
|  | fl_pixel_buffer_texture_get_type() |
| ) |  |

## ◆ TEST() [1/2]

TEST | ( | FlPixelBufferTextureTest | ,
|  | PopulateTexture |
| ) |  |

Definition at line 77 of file fl_pixel_buffer_texture_test.cc.

77 {
78 g_autoptr(FlPixelBufferTexture) texture =
79 FL_PIXEL_BUFFER_TEXTURE(fl_test_pixel_buffer_texture_new());
80 FlutterOpenGLTexture opengl_texture = {0};
81 g_autoptr(GError) error = nullptr;
82 EXPECT_TRUE(fl_pixel_buffer_texture_populate(
83 texture, kBufferWidth, kBufferHeight, &opengl_texture, &error));
84 EXPECT_EQ(error, nullptr);
85 EXPECT_EQ(opengl_texture.width, kRealBufferWidth);
86 EXPECT_EQ(opengl_texture.height, kRealBufferHeight);
87 }
fl_pixel_buffer_texture_populate
gboolean fl_pixel_buffer_texture_populate(FlPixelBufferTexture *texture, uint32_t width, uint32_t height, FlutterOpenGLTexture *opengl_texture, GError **error)
Definition: fl_pixel_buffer_texture.cc:71
kBufferWidth
static constexpr uint32_t kBufferWidth
Definition: fl_pixel_buffer_texture_test.cc:15
fl_test_pixel_buffer_texture_new
static FlTestPixelBufferTexture * fl_test_pixel_buffer_texture_new()
Definition: fl_pixel_buffer_texture_test.cc:64
kRealBufferHeight
static constexpr uint32_t kRealBufferHeight
Definition: fl_pixel_buffer_texture_test.cc:18
error
const uint8_t uint32_t uint32_t GError ** error
Definition: fl_pixel_buffer_texture_test.cc:40
kBufferHeight
static constexpr uint32_t kBufferHeight
Definition: fl_pixel_buffer_texture_test.cc:16
kRealBufferWidth
static constexpr uint32_t kRealBufferWidth
Definition: fl_pixel_buffer_texture_test.cc:17

References error, fl_pixel_buffer_texture_populate(), fl_test_pixel_buffer_texture_new(), kBufferHeight, kBufferWidth, kRealBufferHeight, and kRealBufferWidth.

## ◆ TEST() [2/2]

TEST | ( | FlPixelBufferTextureTest | ,
|  | TextureID |
| ) |  |

Definition at line 70 of file fl_pixel_buffer_texture_test.cc.

70 {
71 g_autoptr(FlTexture) texture = FL_TEXTURE(fl_test_pixel_buffer_texture_new());
72 fl_texture_set_id(texture, 42);
73 EXPECT_EQ(fl_texture_get_id(texture), static_cast<int64_t>(42));
74 }
fl_texture_get_id
G_MODULE_EXPORT int64_t fl_texture_get_id(FlTexture *self)
Definition: fl_texture.cc:20
fl_texture_set_id
void fl_texture_set_id(FlTexture *self, int64_t id)
Definition: fl_texture.cc:15

References fl_test_pixel_buffer_texture_new(), fl_texture_get_id(), and fl_texture_set_id().

## Variable Documentation

## ◆ buffer

const uint8_t buffer[]
| static

Initial value:
= {0x0a, 0x1a, 0x2a, 0x3a, 0x4a, 0x5a,
0x6a, 0x7a, 0x8a, 0x9a, 0xaa, 0xba,
0xca, 0xda, 0xea, 0xfa}

Definition at line 44 of file fl_pixel_buffer_texture_test.cc.

Referenced by flutter::ByteBufferStreamWriter::ByteBufferStreamWriter(), check_size(), flutter::JsonMessageCodec::EncodeMessageInternal(), fl_json_message_codec_encode(), fl_json_message_codec_encode_message(), fl_pixel_buffer_texture_populate(), fl_standard_message_codec_encode_message(), fl_standard_message_codec_read_size(), fl_standard_message_codec_read_value(), fl_standard_message_codec_read_value_of_type(), fl_standard_message_codec_real_write_value(), fl_standard_message_codec_write_size(), fl_standard_message_codec_write_value(), fl_standard_method_codec_encode_error_envelope(), fl_standard_method_codec_encode_method_call(), fl_standard_method_codec_encode_success_envelope(), fl_value_to_string(), float_to_string(), G_DECLARE_DERIVABLE_TYPE(), get_data(), flutter::GetExecutableDirectory(), int_to_string(), read_align(), read_float32_list_value(), read_float64_list_value(), read_float64_value(), read_int32_list_value(), read_int32_value(), read_int64_list_value(), read_int64_value(), read_list_value(), read_map_value(), read_string_value(), read_uint16(), read_uint32(), read_uint8(), read_uint8_list_value(), flutter::ByteBufferStreamReader::ReadBytes(), value_to_string(), write_align(), write_float64(), write_int32(), write_int64(), write_uint16(), and write_uint32().

## ◆ error

const uint8_t uint32_t uint32_t GError** error

Initial value:
{
EXPECT_TRUE(FL_IS_TEST_PIXEL_BUFFER_TEXTURE(texture))

Definition at line 40 of file fl_pixel_buffer_texture_test.cc.

Referenced by add_view_cb(), add_view_engine_error_cb(), add_view_error_cb(), check_size(), flutter::AccessibilityBridge::CommitUpdates(), create_context_cb(), decode_error_message(), decode_error_method_call(), decode_error_response(), decode_message(), decode_method_call(), decode_response_with_error(), decode_response_with_success(), encode_error_envelope(), encode_error_message(), encode_message(), encode_message_error(), encode_method_call(), encode_success_envelope(), finish_method(), fl_application_local_command_line(), fl_basic_message_channel_respond(), fl_basic_message_channel_send(), fl_basic_message_channel_send_finish(), fl_binary_codec_encode_message(), fl_binary_messenger_send_on_channel_finish(), fl_binary_messenger_send_response(), fl_engine_add_view_finish(), fl_engine_gl_external_texture_frame_callback(), fl_engine_remove_view_finish(), fl_engine_send_key_event_finish(), fl_engine_send_platform_message_finish(), fl_engine_send_platform_message_response(), fl_engine_start(), fl_event_channel_send(), fl_event_channel_send_error(), fl_json_message_codec_decode(), fl_json_message_codec_decode_message(), fl_json_message_codec_encode(), fl_json_message_codec_encode_message(), fl_json_method_codec_decode_method_call(), fl_json_method_codec_decode_response(), fl_json_method_codec_encode_error_envelope(), fl_json_method_codec_encode_method_call(), fl_json_method_codec_encode_success_envelope(), fl_key_channel_responder_handle_event_finish(), fl_key_embedder_responder_handle_event_finish(), fl_key_event_channel_send_finish(), fl_keyboard_manager_handle_event_finish(), fl_message_codec_decode_message(), fl_message_codec_encode_message(), fl_method_call_respond(), fl_method_call_respond_error(), fl_method_call_respond_not_implemented(), fl_method_call_respond_success(), fl_method_channel_invoke_method(), fl_method_channel_invoke_method_finish(), fl_method_channel_respond(), fl_method_codec_decode_method_call(), fl_method_codec_decode_response(), fl_method_codec_encode_error_envelope(), fl_method_codec_encode_method_call(), fl_method_codec_encode_response(), fl_method_codec_encode_success_envelope(), fl_method_response_get_result(), fl_opengl_manager_create_contexts(), fl_pixel_buffer_texture_populate(), fl_platform_channel_respond_clipboard_get_data(), fl_platform_channel_respond_clipboard_has_strings(), fl_platform_channel_respond_system_exit_application(), fl_platform_channel_system_request_app_exit_finish(), fl_settings_new(), fl_settings_portal_start(), fl_standard_message_codec_decode_message(), fl_standard_message_codec_encode_message(), fl_standard_message_codec_read_size(), fl_standard_message_codec_read_value(), fl_standard_message_codec_read_value_of_type(), fl_standard_message_codec_real_write_value(), fl_standard_message_codec_write_value(), fl_standard_method_codec_decode_method_call(), fl_standard_method_codec_decode_response(), fl_standard_method_codec_encode_error_envelope(), fl_standard_method_codec_encode_method_call(), fl_standard_method_codec_encode_success_envelope(), fl_string_codec_encode_message(), fl_test_codec_decode_message(), fl_test_codec_decode_method_call(), fl_test_codec_decode_response(), fl_test_codec_encode_error_envelope(), fl_test_codec_encode_message(), fl_test_codec_encode_method_call(), fl_test_codec_encode_success_envelope(), fl_text_input_channel_perform_action_finish(), fl_text_input_channel_update_editing_state_finish(), fl_text_input_channel_update_editing_state_with_deltas_finish(), fl_texture_gl_populate(), G_DECLARE_DERIVABLE_TYPE(), G_DEFINE_TYPE(), get_executable_dir(), get_exit_response(), handle_response(), message_cb(), method_call_cb(), flutter::StreamHandlerFunctions< T >::OnCancelInternal(), flutter::StreamHandlerFunctions< T >::OnListenInternal(), perform_action_response_cb(), read_align(), read_float32_list_value(), read_float64_list_value(), read_float64_value(), read_int32_list_value(), read_int32_value(), read_int64_list_value(), read_int64_value(), read_list_value(), read_map_value(), read_string_value(), read_uint16(), read_uint32(), read_uint8(), read_uint8_list_value(), realize_cb(), remove_view_cb(), remove_view_engine_error_cb(), remove_view_error_cb(), request_app_exit_response_cb(), resize_channel_response_cb(), responder_handle_channel_event_cb(), responder_handle_embedder_event_cb(), send_lifecycle_state(), send_on_channel_finish(), send_response(), set_warns_on_channel_overflow_response_cb(), flutter::EventChannel< T >::SetStreamHandler(), settings_portal_read(), flutter::TEST(), TEST(), test_method_codec_decode_method_call(), test_method_codec_decode_response(), test_method_codec_encode_error_envelope(), test_method_codec_encode_method_call(), test_method_codec_encode_success_envelope(), unrealize_cb(), update_editing_state_response_cb(), update_editing_state_with_deltas_response_cb(), and view_added_cb().

## ◆ height

* height = kRealBufferHeight

Definition at line 39 of file fl_pixel_buffer_texture_test.cc.

Referenced by flutter::PixelBufferTexture::CopyPixelBuffer(), fl_accessible_node_get_extents(), fl_accessible_node_set_extents(), fl_accessible_node_set_extents_impl(), fl_compositor_opengl_render(), fl_engine_add_view(), fl_engine_gl_external_texture_frame_callback(), fl_engine_send_window_metrics_event(), fl_framebuffer_new(), fl_pixel_buffer_texture_populate(), fl_test_texture_populate(), fl_texture_gl_populate(), G_DECLARE_DERIVABLE_TYPE(), make_create_regular_args(), flutter::GpuSurfaceTexture::ObtainDescriptor(), present_layers(), flutter::TextureRegistrarImpl::RegisterTexture(), render(), render_cb(), render_with_blit(), render_with_textures(), set_marked_text_rect(), set_size_arg(), TEST(), and flutter::TEST().

## ◆ kBufferHeight

constexpr uint32_t kBufferHeight = 4u
| static constexpr

Definition at line 16 of file fl_pixel_buffer_texture_test.cc.

Referenced by TEST().

## ◆ kBufferWidth

constexpr uint32_t kBufferWidth = 4u
| static constexpr

Definition at line 15 of file fl_pixel_buffer_texture_test.cc.

Referenced by TEST().

## ◆ kRealBufferHeight

constexpr uint32_t kRealBufferHeight = 2u
| static constexpr

Definition at line 18 of file fl_pixel_buffer_texture_test.cc.

Referenced by TEST().

## ◆ kRealBufferWidth

constexpr uint32_t kRealBufferWidth = 2u
| static constexpr

Definition at line 17 of file fl_pixel_buffer_texture_test.cc.

Referenced by TEST().

## ◆ out_buffer

* out_buffer = buffer

Definition at line 37 of file fl_pixel_buffer_texture_test.cc.

## ◆ TRUE

return TRUE

Definition at line 53 of file fl_pixel_buffer_texture_test.cc.

Referenced by channel_closed_cb(), check_size(), complete_handle_event(), create_settings(), ensure_pointer_added(), event_is_redispatched(), first_frame_cb(), fl_accessible_node_do_action(), fl_accessible_text_field_add_selection(), fl_accessible_text_field_remove_selection(), fl_accessible_text_field_set_caret_offset(), fl_accessible_text_field_set_selection(), fl_application_create_window(), fl_application_local_command_line(), fl_binary_messenger_handle_message(), fl_compositor_opengl_collect_backing_store(), fl_compositor_opengl_create_backing_store(), fl_engine_send_key_event_finish(), fl_engine_send_platform_message_response(), fl_engine_start(), fl_event_channel_send(), fl_event_channel_send_end_of_stream(), fl_event_channel_send_error(), fl_gnome_settings_get_enable_animations(), fl_json_method_codec_decode_method_call(), fl_key_channel_responder_handle_event_finish(), fl_key_embedder_responder_handle_event_finish(), fl_key_embedder_responder_handle_event_impl(), fl_key_event_channel_send_finish(), fl_keyboard_manager_handle_event(), fl_method_call_respond(), fl_opengl_manager_create_contexts(), fl_pixel_buffer_texture_populate(), fl_platform_channel_system_request_app_exit_finish(), fl_pointer_manager_handle_button_press(), fl_pointer_manager_handle_button_release(), fl_pointer_manager_handle_enter(), fl_pointer_manager_handle_leave(), fl_pointer_manager_handle_motion(), fl_scrolling_manager_handle_rotation_begin(), fl_scrolling_manager_handle_scroll_event(), fl_scrolling_manager_handle_zoom_begin(), fl_standard_message_codec_read_size(), fl_standard_message_codec_read_value_of_type(), fl_standard_message_codec_real_write_value(), fl_standard_method_codec_decode_method_call(), fl_task_runner_release_main_thread(), fl_test_application_activate(), fl_test_codec_decode_method_call(), fl_test_texture_populate(), fl_text_input_handler_filter_keypress(), fl_texture_gl_populate(), fl_view_accessible_handle_update_semantics(), fl_view_init(), fl_view_redraw(), G_DEFINE_TYPE(), get_mouse_button(), has_child(), im_delete_surrounding_cb(), im_retrieve_surrounding_cb(), initialize(), parse_window_state_value(), present_layers(), present_layers_task_cb(), read_align(), read_uint16(), read_uint32(), read_uint8(), register_texture(), render_cb(), responder_handle_channel_event_cb(), responder_handle_embedder_event_cb(), scroll_event_cb(), send_response(), set_client(), set_editing_state(), settings_portal_read(), system_initialization_complete(), TEST(), test_lock_event(), touch_event_cb(), view_added_cb(), view_removed_cb(), and window_delete_event_cb().

## ◆ width

* width = kRealBufferWidth

Definition at line 38 of file fl_pixel_buffer_texture_test.cc.

Referenced by flutter::PixelBufferTexture::CopyPixelBuffer(), fl_accessible_node_get_extents(), fl_accessible_node_set_extents(), fl_accessible_node_set_extents_impl(), fl_compositor_opengl_render(), fl_engine_add_view(), fl_engine_gl_external_texture_frame_callback(), fl_engine_send_window_metrics_event(), fl_framebuffer_new(), fl_pixel_buffer_texture_populate(), fl_test_texture_populate(), fl_texture_gl_populate(), G_DECLARE_DERIVABLE_TYPE(), make_create_regular_args(), flutter::GpuSurfaceTexture::ObtainDescriptor(), present_layers(), flutter::TextureRegistrarImpl::RegisterTexture(), render(), render_cb(), render_with_blit(), render_with_textures(), set_marked_text_rect(), set_size_arg(), TEST(), and flutter::TEST().